%define upstream_name    Devel-Platform-Info
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Retrieve Solaris platform metadata
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More) >= 0.700.0
BuildArch:  noarch

%description
This module is a wrapper to the drivers which can determine platform
metadata regarding the currently running operating system.

The intention of this distribution is to provide key identifying components
regarding the platform currently being used, for the CPAN Testers test
reports. Currently the reports do not often contain enough information to
help authors understand specific failures, where the platform may be a
factor.

However, it is hoped that this distribution will find more uses far beyond
the usage for CPAN Testers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-3.mga5
+ Revision: 747004
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-2.mga5
+ Revision: 684327
- Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 623922
- update to 0.14

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 510829
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 365793
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 04 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 302779
- update to 0.11

* Sat Jun 09 2012 jquelin <jquelin> 0.100.0-1.mga3
+ Revision: 258814
- update to 0.10

* Wed Jun 15 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 106813
- update to 0.09

* Thu May 05 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 95080
- imported package perl-Devel-Platform-Info


* Thu May 05 2011 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
